system-params:
    y_box_correction: 60 #nm                          # Only used in the correction of the y-box
    width_external_port: 1000                         # Width of the ports at each bonding pad
    width_external_box: 50000                         #Setting the rectangle size of each design
    height_external_box: 50000                        # including bonding pads
    width_inner_marker: 500 #nm                       # Setting the size of the inner marker
    length_inner_marker: 10000 #nm                    # Setting the length of the inner marker
    width_outer_marker: 5000 #nm                      # Setting the size of the outer marker
    length_outer_marker: 180000 #nm                   # setting the length of the outer marker
    edge_box_cut_outer_marker: 12000 #nm              # Used to cut out a section from the outer
    N_ports_per_edge: 12                              # The number of ports per cardinal direction
    width_bonding_box_init: 2100000                   #it's actually the inner box, not the outer one
    width_port_bonding_pad: 130000                    # Width of the ports at each bonding pad
    width_middle_port: 500                            # Width of the ports in the middle
    height_bonding_box: 2100000                       # Inner box
    width_bonding_pad: 130000 #nm                     # Width of the bonding pads
    length_bonding_pad: 130000 #nm                    # Length of the bonding pads
    closing_distance: 600 #nm                         # Distance between objects in the design
    protection_extra: 20000 #nm                       # Layover of the protection layer on the bonding pads
    length_extension_protection_bonding_pad: 15000 #nm # Length of the extension of the protection layer on the bonding pads
    width_extension_protection_bonding_pad: 15000 #nm # Width of the extension of the protection layer on the bonding pads
    width_local_marker: 1000 #nm                      # Setting the size of the local marker
    length_local_marker: 20000 #nm                    # Setting the length of the local marker
    length_to_local: 270000 #nm   

inner-params:
    dot_radius: 60                                    # Dot radius
    sensordot_radius: 100                             # Sensordot radius
    dot_length_gate: 280                              # Length of connecting dot gate
    dot_width_gate: 40                                # width of connection dot gate
    angle_resolution: 2.5                             # Resolution of design
    sensor_length_gate: 220                           # Length of connecting sensor dot gate
    sensor_width_gate: 50                             # Width of connecting sensor dot gate
    spacing_dots: 175                                 # Spacing between dots
    start_x: 0                                        # The starting x-coordinate dot 1,1
    start_y: 0                                        # Starting y-coordinate of dot 1,1
    screen_length: 100                                # Size of the screening gate above dots
    gate_length_screen: 250                           # Length of the connecting screening gate
    width_barrier: 40                                 # Width of the barriers
    gate_length_start: 300                            # Starting point for list of increasingly large gate lengths, so ensure proper fan-out
    gate_length_end: 500                              # End point for list of increasingly large gate lengths, so ensure proper fan-out
    middle_gate_addition: 50                          # If uneven number of gates, the middle gate will be slightly larger
    appendage_length_addition: 100                    # Same as above, but for the appendages
    middle_cross_length_addition: 100                 # Same as above, but for the middle barrier crosses
    width_cross: 35                                   # Width of the barrier crosses
    length_cross: 70                                  # Length of the barrier crosses
  
outer-params:
    min_distance_text_from_border: 200000             # Distance marker for text
    min_distance_marker_from_border: 100000           # How far the markers are from the border
    visual_marker_length: 700000                      # Length of the visual marker
    visual_marker_width: 150000                       # Width of the visual marker
    protection_extra: 20000                           # A parameter used for the protection of the bonding pads
    width_bonding_pad: 130000                         # Width of the bonding pads
    length_bonding_pad: 130000                        # Length of the bonding pads
    distance_structure_from_center: 0.22              # Parameter used for placing each design, on the chip
    width_die: 6000000                                # Width of the chip     
    length_die: 6000000                               # Length of the chip
    name_of_chip: "AXL MkII"                          # Name of the chip
    